Calculate service protection for a planned or simulated event.
post
/impactAnalysis/plannedSimulated/serviceProtection
Calculates each requested service against the complete set of failed Connectivity and Pipe edges supplied by the parent event.
Request
Header Parameters
-
X-Correlation-Id: string
Correlation identifier used for tracing.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
failedEdges(required): array
failedEdges
-
parentEvent(required): object
PlannedSimulatedParentEvent
-
services(required): array
services
Minimum Number of Items:
1
Example:
{
"parentEvent":{
"id":"planned-event-1001",
"eventType":"PLANNED"
},
"failedEdges":[
{
"id":"31-462313",
"resourceType":"Connectivity"
}
],
"services":[
{
"id":"225001"
}
]
}Nested Schema : PlannedSimulatedParentEvent
Type:
Show Source
object-
eventType(required): string
Allowed Values:
[ "PLANNED", "SIMULATED" ] -
id(required): string
Nested Schema : FailedServiceProtectionEdge
Type:
Show Source
object-
id(required): string
-
resourceType(required): string
Allowed Values:
[ "Connectivity", "Pipe" ]
Response
Supported Media Types
- application/json
200 Response
The requested services were evaluated.
Root Schema : PlannedSimulatedServiceProtectionResponse
Type:
Show Source
object-
calculationStatus(required): string
Allowed Values:
[ "COMPLETED", "COMPLETED_WITH_ERRORS" ] -
parentEventId(required): string
-
results(required): array
results
Example:
{
"parentEventId":"planned-event-1001",
"calculationStatus":"COMPLETED",
"results":[
{
"service":{
"id":"225001"
},
"calculationStatus":"CALCULATED",
"protectionLevel":"PROTECTED"
}
]
}Nested Schema : ServiceProtectionCalculationResult
Type:
Show Source
object-
calculationStatus(required): string
Allowed Values:
[ "CALCULATED", "FAILED", "NOT_CALCULATED" ] -
protectionLevel(required): string
Allowed Values:
[ "PROTECTED", "NOT_PROTECTED", "UNKNOWN" ] -
reason: string
-
reasonCode: string
-
service(required): object
ServiceProtectionServiceReference
400 Response
The request is invalid.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
401 Response
You aren't authorized to make this request.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
403 Response
The request is forbidden.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
500 Response
An internal server error occurred.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source